Subject: Re: [PATCH V2] ptp: clockmatrix: Add Defer probe if firmware load fails

From: Jakub Kicinski <[email-masked]>
Date: Thu, 15 Jun 2023 13:05:06 -0700

On Wed, 14 Jun 2023 10:42:04 +0530 Sarath Babu Naidu Gaddam wrote:
> Clock matrix driver can be probed before the rootfs containing
> firmware/initialization .bin is available. The current driver
> throws a warning and proceeds to execute probe even when firmware
> is not ready. Instead, defer probe and wait for the .bin file to
> be available.

The first-step fix should be to try to get the FW into initramfs.
For that driver should specify MODULE_FIRMWARE(), which I don't see
here.
-- 
pw-bot: cr